Create Brand Metafield
Creates a brand metafield.
Note: The maximum number of metafields allowed on each order, product, category, variant, or brand is 250 per client ID. For more information, see Platform Limits in the Help Center.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
brand_id
The ID of the brand to which the resource belongs.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
key
The name of the field, for example: location_id, color. Required for POST.
value
The value of the field, for example: 1, blue. Required for POST.
namespace
Namespace for the metafield, for organizational purposes. This is set by the developer. Required for POST.
permission_set
Determines the visibility and writeability of the field by other API consumers.
Allowed values:
description
Description for the metafields.
Response
OK
data
meta
Empty meta object; may be used later.
Errors
400
Bad Request Error
409
Conflict Error
422
Unprocessable Entity Error